/**
 * An adapter to plug in passport based strategies to the authentication system
 * in {@link @loopback/authentication# | @loopback/authentication @3.x }.
 *
 * @remarks
 * {@link @loopback/authentication# | @loopback/authentication @3.x } allows
 * users to register authentication strategies that implement the interface
 * `AuthenticationStrategy`.
 *
 * Since AuthenticationStrategy describes a strategy with different contracts
 * than the passport Strategy, and we'd like to support the existing 500+
 * community passport strategies, an adapter class is created in this package to
 * convert a passport strategy to the one that LoopBack 4 authentication system
 * wants.
 *
 * @packageDocumentation
 */
export * from './strategy-adapter';
